
Figure - Bug #116260
【BSP】【EVT】【Display】【偶现一次】【客户验证】设备实车安装使用过程中突然黑屏，重新上电后恢复 (
盐城路测)
2023-02-15 16:19 - 移动测试一组_CDTS 刘强

Status: CLOSED Start date: 2023-02-15

Priority: High Due date: 2023-04-14

Assignee: 移动测试一组_CDTS 刘强 % Done: 0%

Category: BSP Estimated time: 0.00 hour

Target version: VC1_FSE_0090_20230411

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.R.userdebug.01.00.0086.X101

Resolution: -- Degrated: --

Severity: Critical Verified Version:

Reproducibility: Occasionally Fixed Version:

Test Type: ST Root cause: 由于MCU唤醒模式引起，目前将边沿唤醒改为电平唤醒

Description

前置条件：

1、板子已经成功连接屏幕

2、客户实车安装过程中

操作步骤：

1.车子上电后，正常运行中

2.正常使用过程中突然屏幕熄灭

预期结果：

1.板子上电启动后不会出现屏幕熄灭现象

2.重启后恢复正常

实际结果：

1.正常使用过程中突然屏幕熄灭

History

#1 - 2023-02-15 16:22 - 移动测试一组_CDTS 刘强

等客户传最新日志

此问题与：https://share.thundersoft.com/redmine/issues/115713 现象类似

目前已知开机过程中黑屏现象3次：

1次由邹涛在中复现，日志在-115713

1次由刘强在0073版本复现，日志在-115713

1次客户实车出现：版本0052

#2 - 2023-02-17 09:50 - CD TPM-王祥林

- Target version set to VC1_FSE_0078_20230228

#3 - 2023-02-17 13:44 - CD TPM-王祥林

目前客户抓的日志不完整，只有几秒的日志。无法分析，依赖客户再次抓取。

#4 - 2023-02-20 20:11 - CD TPM-王祥林
- File tlog_xxx_1201184028.tar.gz added

- File tlog_xxx_1201183720.tar.gz added

客户抓的两次日志都只有很短时间的log。persist.sys.tlog.active是0，代表tlog服务没有在后台运行。

2022.12.26之前的版本只在userdebug上设置为1，user版本没有。客户用的版本是54正好在这之前，所以抓不到日志，无法进行下一步分析。只能升级到

最63或者之后的版本再恢复出厂才能后台自动抓日志。

#5 - 2023-02-22 10:43 - CDTS-TEST 周婷

- Status changed from New to NEED_INFO

- Assignee changed from CD TPM-王祥林 to CDTS_Test 吴诗雨

请帮忙复现 63版本

#6 - 2023-02-24 09:46 - CD TPM-王祥林

- Target version changed from VC1_FSE_0078_20230228 to VC1_FSE_0082_20230314

不能抓log的问题已经在下面这个票解决，但是需要OTA到78或者之后的版本才能抓。客户的实车上目前还没有OTA，所以无法抓日志分析。

https://share.thundersoft.com/redmine/issues/116445

等客户抓完日志后再分析。测试在最新版本的平时使用中注意观察是否有复现类似情况。

#7 - 2023-02-28 15:39 - CDTS_Test 吴诗雨

- Assignee changed from CDTS_Test 吴诗雨 to 移动测试一组_CDTS 刘强

#8 - 2023-03-07 11:06 - 移动测试一组_CDTS 刘强

- Assignee changed from 移动测试一组_CDTS 刘强 to CDTS_Test 吴诗雨

麻烦在MTBF脚本压测过程中关注是否出现这个问题，然后每天更新下最新验证结果

#9 - 2023-03-07 14:52 - CDTS_Test 吴诗雨

【复现版本】FlatBuild_HH_MCE_FSE.M.D.user.01.00.C101.202303040019

【复现情况】MTBF跑测16小时，未复现

#10 - 2023-03-08 14:16 - CDTS_Test 吴诗雨

【复现版本】FlatBuild_HH_MCE_FSE.M.R.user.01.00.0080.C101

【复现情况】MTBF16小时未复现上述情况

#11 - 2023-03-09 15:01 - CDTS_Test 吴诗雨

【复现版本】FlatBuild_HH_MCE_FSE.M.D.user.01.00.C101.202303080018

【复现情况】MTBF16小时未复现上述情况
#12 - 2023-03-10 17:16 - CDTS_Test 吴诗雨

【复现版本】FlatBuild_HH_MCE_FSE.M.R.user.01.00.0081.C101

【复现情况】MTBF16小时未复现上述情况

#13 - 2023-03-14 09:54 - CDTS_Test 吴诗雨

【复现版本】FlatBuild_HH_MCE_FSE.M.D.user.01.00.C101.202303110019

【复现情况】MTBF16小时未复现上述情况

#14 - 2023-03-14 18:22 - CD BSP-杜磊

- File tlog_iov0201017500006162025411a2212290000000551_306_0228141932.tar.gz added

#15 - 2023-03-15 13:44 - System组-RD3_CDTS 蒋富雄

在kernel文件306_kernel_00005_230228_141909.log.ing中看到突然没log输出

01-01 10:30:43.951     0     0 I send_afe_cal_type: Sending cal_index cal 0

01-01 10:30:43.951     0     0 E send_afe_cal_type: No cal sent for cal_index 0, port_id = 0x9000! ret -22

01-01 10:30:43.951     0     0 I afe_send_hw_delay: port_id 0x9000 rate 48000 delay_usec 474 status 0

01-01 10:30:44.615     0     0 I         : read descriptors

01-01 10:30:44.615     0     0 I         : read strings

01-01 10:30:45.635     0     0 I         : read descriptors

01-01 10:30:45.635     0     0 I         : read strings

01-01 10:30:46.660     0     0 I

在对应的时间的logcat文件中306_manual_00021_230228_141909.log.ing

microservice的error，需要AF确认会不会引起重启

1 02-28 14:19:19.452  3968 16210 W System.err: com.thundercomm.microservice.exp.NotResponseException

1242 02-28 14:19:19.452  3968 16210 W System.err:    at com.thundercomm.microservice.MicroService.request(MicroService.java:315)

1243 02-28 14:19:19.452  3968 16210 W System.err:    at com.thundercomm.microservice.MicroService.onRequest(MicroService.java:236)

1244 02-28 14:19:19.452  3968 16210 W System.err:    at com.thundercomm.microservice.MicroSocketReader.dealMessage(MicroSocketReader.java:85)

1245 02-28 14:19:19.452  3968 16210 W System.err:    at com.thundercomm.microservice.MicroSocketReader.run(MicroSocketReader.java:47)

#16 - 2023-03-16 10:33 - CD BSP-杜磊

- Assignee changed from CDTS_Test 吴诗雨 to System组-RD3_CDTS 蒋富雄

#17 - 2023-03-16 11:01 - System组-RD3_CDTS 蒋富雄

从log来看mpu超时。不清楚会不会引起黑屏，在kernel的log中没有关于max96755 相关的log报错

02-28 14:14:04.226   653   668 I mpu_uart: [MSG-P:RECV]:No message received in 1000 ms

02-28 14:14:05.226   653   668 I mpu_uart: [MSG-P:RECV]:No message received in 1000 ms

02-28 14:14:05.660   653   667 I mpu_uart: [MSG-P:R]:recv sync frame timeout

02-28 14:14:06.226   653   668 I mpu_uart: [MSG-P:RECV]:No message received in 1000 ms

02-28 14:14:07.226   653   668 I mpu_uart: [MSG-P:RECV]:No message received in 1000 ms

02-28 14:14:08.227   653   668 I mpu_uart: [MSG-P:RECV]:No message received in 1000 ms

#18 - 2023-03-17 11:12 - System组-RD3_CDTS 蒋富雄

在tlog目录下的所有log出现一次 finishbooting 说明这部分log只开一次机，并且log文件中的log是连在一起的
抓了多个log

1351 02-28 11:48:38.863  1514  1577 I wm_boot_animation_done: 10462

1352 02-28 11:48:38.863  1514  1577 I ActivityManagerTiming: FinishBooting

在tlog_package/bk 目录下FSEM_249_0253_1677556129904.tar.gz 

./FSEM_249_0253_1677556129904/data/tlog/persist/248_persist_00138_230113_090436.log.ing

出现一次reboot shell

01-01 08:15:51.012     0     0 I init    : Got shutdown_command 'reboot,shell' Calling HandlePowerctlMessage()

在log ./data/tlog/persist/249_persist_00149_230228_114840.log 才出现ActivityManagerTiming: FinishBooting 开机完成后有shutdown，不确定是手动的shutdown还

是软件主动触发的

1518 02-28 11:48:41.795  1548  1608 D SystemServerInitThreadPool: Shutdown requested

1519 02-28 11:48:41.795  1548  1608 I SystemServerTiming: WaitInitThreadPoolShutdown

1520 02-28 11:48:41.796  1548  1608 D SystemServerInitThreadPool: Shutdown successful

在log文件249_persist_00153_230228_114846.log.ing log被中断完成上次shutdown

02-28 11:48:50.269  4176  4176 I LTELicenseManager: Before calling CheckInstalledLicense

02-28 11:48:50.276  4176  4176 E LTELicenseManager: Error code 29

02-28 11:48:50.277  4176  4176 E LTELicenseManager: Exception InvokeException, err=29

02-28 11:48:50.277  4176  4176 W System.err: com.qualcomm.qti.qms.api.mink.IMinkObject$InvokeException: InvokeException, err=29

02-28 11:48:50.277  4176  4176 W System.err:     at com.qualcomm.qti.qms.api.mink.CMinkObject.nativeInvoke(Native Method)

02-28 11:48:50.277  4176  4176 W System.err:     at com.qualcomm.qti.qms.api.mink.CMinkObject.invoke(CMinkObject.java:55)

02-28 11:48:50.277  4176  4176 W System.err:     at com.qualcomm.qti.mink.IPFM$Proxy.CheckInstalledLicense(IPFM.java:164)

02-28 11:48:50.277  4176  4176 W System.err:     at com.qualcomm.ltebc.LTELicenseManager$1.onConnect(LTELicenseManager.java:137)

02-28 11:48:50.277  4176  4176 W System.err:     at com.qualcomm.qti.qms.api.minksocket.MinkSocketFdInternals$1.onServiceConnected(MinkSocketFdInternals.java:53)

02-28 11:48:50.277  4176  4176 W System.err:     at android.app.LoadedApk$ServiceDispatcher.doConnected(LoadedApk.java:2077)

02-28 11:48:50.277  4176  4176 W System.err:     at android.app.LoadedApk$ServiceDispatcher$RunConnection.run(LoadedApk.java:2110)

02-28 11:48:50.277  4176  4176 W System.err:     at android.os.Handler.handleCallback(Handler.java:938)

02-28 11:48:50.277  4176  4176 W System.err:     at android.os.Handler.dispatchMessage(Handler.java:99)

02-28 11:48:50.277  4176  4176 W System.err:     at android.os.Looper.loopOnce(Looper.java:201)

02-28 11:48:50.277  4176  4176 W System.err:     at android.os.Looper.loop(Looper.java:288)

02-28 11:48:50.277  4176  4176 W System.err:     at android.app.ActivityThread.m

tlog_package/bk目录下没有250次重启的log，已经被删除

中间没有的log可能是FSEM_250_0253 FSEM_250_0254 或者 FSEM_251_0253 FSEM_251_0254 在这里缺少253和254的log，

在现有的251log中没有FinishBooting 说明已经在缺少的log中boot成功，

在log data//tlog/persist/251_persist_00211_230228_124639.log.ing 中再次出现log中断，不清楚什么原因导致

02-28 12:48:48.933   650   664 I mpu_uart: [MSG-P:R]:recv sync frame timeout

02-28 12:48:49.290  2217  8636 D TlogClient_LogCollectService: === START to package logs === 

02-28 12:48:49.306  2217  8

在log252再次开机的log中没有再次FinishBooting的 又缺少0258的log，被删除无法分析，在252次的log文

件log./data/tlog/persist/252_persist_00243_230228_121628.log.ing 出现 中断进入下次开机

02-28 12:18:47.558  2648  5879 W adbd    : timed out while waiting for FUNCTIONFS_BIND, trying again

02-28 12:18:47.558  2648  5879 I adbd    : UsbFfs: connection terminated: monitor thread finished

02-28 12:18:47.559  2648  2648 I adbd    : UsbFfs: already offline

02-28 12:18:47.559  2648  2648 I adbd    : destroying transport UsbFfs

02-28 12:18:47.559  2648  2648 I adbd

#19 - 2023-03-23 14:05 - CDTS_TEST 王成
- Target version changed from VC1_FSE_0082_20230314 to VC1_FSE_0086_20230328

#20 - 2023-03-23 16:39 - CD BSP-杜磊

- Subject changed from 【BSP】【EVT】【Display】【偶现一次】设备实车安装使用过程中突然黑屏，重新上电后恢复 to 【BSP】【EVT】【Display】【偶

现一次】设备实车安装使用过程中突然黑屏，重新上电后恢复 (盐城路测)

#21 - 2023-03-24 17:25 - CD BSP-杜磊

- File tlog_iov0201017500006162025411a2212290000000551_399_0228121105.tar.gz added

#22 - 2023-04-03 21:09 - CD BSP-杜磊

- Assignee changed from System组-RD3_CDTS 蒋富雄 to CD BSP-陈杰

#23 - 2023-04-03 21:21 - CD BSP-杜磊

- Due date set to 2023-04-14

#24 - 2023-04-04 16:51 - CDTS_TEST 王成

- Target version changed from VC1_FSE_0086_20230328 to VC1_FSE_0090_20230411

#25 - 2023-04-07 17:13 - CD BSP-陈杰

- Status changed from NEED_INFO to RESOLVED

- Assignee changed from CD BSP-陈杰 to 移动测试一组_CDTS 刘强

- Found Version changed from FlatBuild_HH_VX1_MCE_FSE.M.R.userdebug.01.00.0052.X101 to FlatBuild_HH_VX1_MCE_FSE.M.R.userdebug.01.00.0086.X101

- Root cause set to 由于MCU唤醒模式引起，目前将边沿唤醒改为电平唤醒

麻烦进行跟踪测试

#26 - 2023-04-10 14:31 - CDTS_TEST 王成

- Severity changed from Major to Critical

#27 - 2023-04-11 19:49 - 移动测试一组_CDTS 刘强

保留持续跟踪，需要确认客户现场日后是否复现

#28 - 2023-04-18 17:11 - 移动测试一组_CDTS 刘强

20230418：客户测暂未复现，继续跟踪

#29 - 2023-05-15 19:28 - 移动测试一组_CDTS 刘强

- Subject changed from 【BSP】【EVT】【Display】【偶现一次】设备实车安装使用过程中突然黑屏，重新上电后恢复 (盐城路测) to 【BSP】【EVT】

【Display】【偶现一次】【客户验证】设备实车安装使用过程中突然黑屏，重新上电后恢复 (盐城路测)

#30 - 2023-07-12 17:04 - 移动测试一组_CDTS 刘强

- Status changed from RESOLVED to VERIFIED

长时间未重新出现，暂时关闭次问题

#31 - 2023-07-12 17:04 - 移动测试一组_CDTS 刘强
- Status changed from VERIFIED to CLOSED

Files

tlog_xxx_1201184028.tar.gz 15 MB 2023-02-20 CD TPM-王祥林

tlog_xxx_1201183720.tar.gz 5.01 MB 2023-02-20 CD TPM-王祥林

tlog_iov0201017500006162025411a2212290000000551_306_0228141932.tar.gz 46.1 MB 2023-03-14 CD BSP-杜磊

tlog_iov0201017500006162025411a2212290000000551_399_0228121105.tar.gz 39.9 MB 2023-03-24 CD BSP-杜磊
